#achievementModal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10000;
  display: none;
  width: 100%;
  height: 100%;
  cursor: pointer;
  background: rgba(3, 7, 18, 0.9);
}

#achievementModal.on {
  display: block;
}

#achievementModal .modal-wrap {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 1192px;
  height: 646px;
  transform: translate(-50%, -50%);
}

#achievementModal .modal-video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}

#achievementModal .button-close {
  position: absolute;
  z-index: 1;
  top: -64px;
  right: -20px;
  width: 64px;
  height: 64px;
  font-size: 0;
  cursor: pointer;
  background: url('../images/icon-close.png') no-repeat right 20px center / 24px;
  border: unset;
}

#achievementModal .button-sound {
  position: absolute;
  z-index: 1;
  top: 24px;
  left: 24px;
  width: 48px;
  height: 48px;
  font-size: 0;
  cursor: pointer;
  background: url('../images/icon-sound-off.png') no-repeat center / cover;
  border: unset;
}

#achievementModal.muted .button-sound {
  background-image: url('../images/icon-sound-on.png');
}

#achievementModal .icon-play {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 96px;
  height: 96px;
  font-size: 0;
  opacity: 0;
  transform: translate(-50%, -50%) scale(0);
  background: url('../images/icon-play.png') no-repeat center / cover;
  transition:
    opacity 0.5s,
    transform 0.5s;
}

#achievementModal.pause .icon-play {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1);
}

@media (max-width: 1599px) {
  #achievementModal .modal-wrap {
    width: calc(100% - 52px);
    max-width: 972px;
    height: 554px;
  }

  #achievementModal .button-close {
    top: -34px;
    right: -2px;
    width: 34px;
    height: 34px;
    background-position: center;
  }

  #achievementModal .button-sound {
    top: 20px;
    left: 26px;
    width: 40px;
    height: 40px;
  }

  #achievementModal .icon-play {
    width: 77px;
    height: 77px;
  }
}

@media (max-width: 768px) {
  #achievementModal .modal-wrap {
    height: auto;
  }
}
